org.apache.ignite.internal.commandline.cache.distribution

## Class CacheDistributionTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<CacheDistributionTaskArg,CacheDistributionTaskResult,CacheDistributionNode>
  - - org.apache.ignite.internal.commandline.cache.distribution.CacheDistributionTask

All Implemented Interfaces:
  Serializable, ComputeTask<VisorTaskArgument<CacheDistributionTaskArg>,CacheDistributionTaskResult>

    public class CacheDistributionTask
    extends VisorMultiNodeTask<CacheDistributionTaskArg,CacheDistributionTaskResult,CacheDistributionNode>

Collect information on the distribution of partitions.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
Constructor and Description
`CacheDistributionTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected VisorJob<CacheDistributionTaskArg,CacheDistributionNode>` `job(CacheDistributionTaskArg arg)`
`protected CacheDistributionTaskResult` `reduce0(List<ComputeJobResult> list)` Actual reduce logic.

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`jobNodes, map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CacheDistributionTask

    public CacheDistributionTask()

### Method Detail

#### reduce0

    @Nullable
    protected CacheDistributionTaskResult reduce0(List<ComputeJobResult> list)
                                                     throws IgniteException

Actual reduce logic.

Specified by:
  `reduce0` in class `VisorMultiNodeTask<CacheDistributionTaskArg,CacheDistributionTaskResult,CacheDistributionNode>`
Parameters:
  `list` - Job results.
Returns:
  Task result.
Throws:
  `IgniteException` - If reduction or results caused an error.

#### job

    protected VisorJob<CacheDistributionTaskArg,CacheDistributionNode> job(CacheDistributionTaskArg arg)

Specified by:
  `job` in class `VisorMultiNodeTask<CacheDistributionTaskArg,CacheDistributionTaskResult,CacheDistributionNode>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.6
Release Date | : September 11 2019